<div class="columns">

  <ul class="palette">
    <li *ngFor="let item of getdata()" [style.background]="item" ngxClipboard [class.copy]="isCopied === item"
      (cbOnSuccess)="isCopied = item" [cbContent]="item">
      <span>
        {{item}}
      </span>
    </li>
  </ul>

</div>